CSFML 2.6.1

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Enumerations
PrimitiveType.h File Reference
`#include <SFML/Graphics/Export.h>`

Go to the source code of this file.

## Enumerations

enum | sfPrimitiveType { sfPoints , sfLines , sfLineStrip , sfTriangles , sfTriangleStrip , sfTriangleFan , sfQuads , sfLinesStrip = sfLineStrip , sfTrianglesStrip = sfTriangleStrip , sfTrianglesFan = sfTriangleFan }
| Types of primitives that a sf::VertexArray can render. More...

## Enumeration Type Documentation

## ◆ sfPrimitiveType

enum sfPrimitiveType

Types of primitives that a sf::VertexArray can render.

Points and lines have no area, therefore their thickness will always be 1 pixel, regardless the current transform and view.

Enumerator
sfPoints | List of individual points.
sfLines | List of individual lines.
sfLineStrip | List of connected lines, a point uses the previous point to form a line.
sfTriangles | List of individual triangles.
sfTriangleStrip | List of connected triangles, a point uses the two previous points to form a triangle.
sfTriangleFan | List of connected triangles, a point uses the common center and the previous point to form a triangle.
sfQuads | List of individual quads.

sfLinesStrip

Deprecated:
  Use sfLineStrip instead

sfTrianglesStrip

Deprecated:
  Use sfTriangleStrip instead

sfTrianglesFan

Deprecated:
  Use sfTriangleFan instead

Definition at line 42 of file PrimitiveType.h.